Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait MethodSynthesis extends AnyRef

  Logic related to method synthesis which involves cooperation between Namer and Typer.

  Logic related to method synthesis which involves cooperation between Namer and Typer.

  Definition Classes
    typechecker
-  trait MethodSynth extends AnyRef

  There are two key methods in here.

  There are two key methods in here.

  1) Enter methods such as enterGetterSetter are called from Namer with a tree which may generate further trees such as accessors or implicit wrappers. Some setup is performed. In general this creates symbols and enters them into the scope of the owner.

  2) addDerivedTrees is called from Typer when a Template is typed. It completes the job, returning a list of trees with their symbols set to those created in the enter methods. Those trees then become part of the typed template.

  Definition Classes
    MethodSynthesis
- DerivedAccessor
- Getter
- Setter

c

scala.tools.nsc.typechecker.MethodSynthesis.MethodSynth

# Setter

###

#### case class Setter(tree: Global.ValDef) extends Namers.Namer.DerivedAccessor with Product with Serializable

Source
  MethodSynthesis.scala

Linear Supertypes
java.io.Serializable, Product, Equals, Namers.Namer.DerivedAccessor, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Setter
2. Serializable
3. Product
4. Equals
5. DerivedAccessor
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Setter(tree: Global.ValDef)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Namers.Namer.Setter toany2stringadd[Namers.Namer.Setter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Namers.Namer.Setter, B)
   Implicit
     This member is added by an implicit conversion from Namers.Namer.Setter toArrowAssoc[Namers.Namer.Setter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def createSym: Global.MethodSymbol
   Definition Classes
     DerivedAccessor
9.  def derivedFlags: Long
   Definition Classes
     Setter → DerivedAccessor
10.  def derivedName: Global.TermName
    Definition Classes
      Setter → DerivedAccessor
11.  def derivedPos: Position
    Definition Classes
      DerivedAccessor
12.  def derivedTree(derivedSym: Global.Symbol): Global.DefDef
    Definition Classes
      Setter → DerivedAccessor
13.  def ensuring(cond: (Namers.Namer.Setter) => Boolean, msg: => Any): Namers.Namer.Setter
    Implicit
      This member is added by an implicit conversion from Namers.Namer.Setter toEnsuring[Namers.Namer.Setter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: (Namers.Namer.Setter) => Boolean): Namers.Namer.Setter
    Implicit
      This member is added by an implicit conversion from Namers.Namer.Setter toEnsuring[Namers.Namer.Setter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: => Any): Namers.Namer.Setter
    Implicit
      This member is added by an implicit conversion from Namers.Namer.Setter toEnsuring[Namers.Namer.Setter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): Namers.Namer.Setter
    Implicit
      This member is added by an implicit conversion from Namers.Namer.Setter toEnsuring[Namers.Namer.Setter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Namers.Namer.Setter toStringFormat[Namers.Namer.Setter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def productElementNames: Iterator[String]
    Definition Classes
      Product
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  val tree: Global.ValDef
    Definition Classes
      Setter → DerivedAccessor
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Namers.Namer.Setter, B)
   Implicit
     This member is added by an implicit conversion from Namers.Namer.Setter toArrowAssoc[Namers.Namer.Setter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Namers.Namer.DerivedAccessor

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromNamers.Namer.Setter to any2stringadd[Namers.Namer.Setter]

### Inherited by implicit conversion StringFormat fromNamers.Namer.Setter to StringFormat[Namers.Namer.Setter]

### Inherited by implicit conversion Ensuring fromNamers.Namer.Setter to Ensuring[Namers.Namer.Setter]

### Inherited by implicit conversion ArrowAssoc fromNamers.Namer.Setter to ArrowAssoc[Namers.Namer.Setter]

### Ungrouped